---

- name: Create wmi_exporter directory
  win_file:
    path: C:\Program Files\wmi_exporter\
    state: directory

- name: get the WMI exporter
  win_get_url:
    url: https://github.com/martinlindhe/wmi_exporter/releases/download/v{{ wmi_exporter_version }}/wmi_exporter-{{ wmi_exporter_version }}-amd64.exe
    dest: C:\Program Files\wmi_exporter\wmi_exporter.exe
    follow_redirects: all

- name: Install WMI exporter service
  win_service:
    name: "wmi_exporter"
    path: C:\Program Files\wmi_exporter\wmi_exporter.exe --log.format logger:eventlog?name=wmi_exporter --collectors.enabled "{{ wmi_exporter_collectors }}"
    start_mode: auto
    state: started

- name: Firewall rule to allow wmi_exporter port
  win_firewall_rule:
    name: wmi_exporter
    localport: 9182
    action: allow
    direction: in
    protocol: tcp
    state: present
    enabled: yes
